<ion-header>
  <ion-toolbar class="background-header">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title style="font-size:16px" *ngIf="libItem">Detail Perpustakaan</ion-title>
    <ion-icon name="more" slot="end" (click)="presentActionSheet()"></ion-icon>
  </ion-toolbar>
</ion-header>


<ion-content style="--background:whitesmoke">
  <div class="container" text-center>
    <img src="{{path + libItem?.libraryPhoto}}" alt="" onerror="this.src='assets/img/image-not-found.png';"
      class="img-library">
    <ion-text>
      <h3 class="univ-name">
        <b *ngIf="!isLoadingDetail">{{libItem?.libraryName}}</b>
        <ion-skeleton-text *ngIf="isLoadingDetail" animated style="width: 100%;margin-top: -5px;"></ion-skeleton-text>
      </h3>

    </ion-text>
  </div>

  <div class="ion-margin-top bg-white top-shadow">
    <div>
      <!-- Default Segment -->
      <ion-segment color="secondary" [(ngModel)]="segment1">
        <ion-segment-button value="detail">
          <ion-label>Detail</ion-label>
        </ion-segment-button>
        <ion-segment-button value="book">
          <ion-label>Buku</ion-label>
        </ion-segment-button>
        <ion-segment-button value="ebook">
          <ion-label>Ebook</ion-label>
        </ion-segment-button>
      </ion-segment>

      <div [ngSwitch]="segment1">
        <div *ngSwitchCase="'detail'" class="info">

          <div *ngIf="isLoadingDetail" class="ion-padding">
            <p>
              <ion-skeleton-text animated style="width: 100%;margin-top: -5px;"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 100%;margin-top: -5px;"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 100%;margin-top: -5px;"></ion-skeleton-text>
            </p>
          </div>
          <ion-grid *ngIf="!isLoadingDetail" class="detail-list">
            <ion-row>
              <ion-col size="1">
                <p class="my-icon">
                  <ion-icon name="alarm"></ion-icon>
                </p>
              </ion-col>
              <ion-col>
                <p> {{settingValue?.operationalHours}} </p>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="1">
                <p class="my-icon">
                  <ion-icon src="assets/icon/mail.svg"></ion-icon>
                </p>
              </ion-col>
              <ion-col>
                <p> {{libItem?.libraryEmail}} </p>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="1">
                <p class="my-icon">
                  <ion-icon src="assets/icon/call.svg"></ion-icon>
                </p>
              </ion-col>
              <ion-col>
                <p> {{libItem?.libraryPhone}} </p>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="1">
                <p class="my-icon">
                  <ion-icon src="assets/icon/place.svg"></ion-icon>
                </p>
              </ion-col>
              <ion-col>
                <p> {{libItem?.libraryAddress}} <ion-text color="primary" *ngIf="libItem?.distance">({{libItem?.distance}})</ion-text>
                </p>
              </ion-col>
            </ion-row>
          </ion-grid>
        </div>

        <div *ngSwitchCase="'book'" class="color-grey">
          <ion-grid *ngIf="bookList?.length > 0">
            <ion-row>
              <ion-col *ngFor="let book of bookList" size="6" no-padding style="margin-bottom:10px;">
                <ion-card class="card-book" (click)="gotoDetail(book?.bookID,book)">
                  <div class="book-list" class="ion-text-center">
                    <div style="width:100%">
                      <img class="img-cover ion-text-center"
                        src="{{storagePath.storageBookCover(book?.bookCover,book?.libraryID)}}"
                        onError="this.src = 'assets/img/default-book.png'">
                    </div>
                    <div class="ion-text-start">
                      <h5>{{book?.bookTitle}}</h5>
                      <p>{{book?.categoryTitle}}</p>
                    </div>
                    <div>
                      <ion-grid>
                        <ion-row style="margin-top: 10px;">
                          <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px">{{book?.bookWriter}}
                          </ion-col>
                        </ion-row>
                      </ion-grid>
                    </div>
                  </div>
                </ion-card>
              </ion-col>
            </ion-row>
          </ion-grid>

          <ng-container *ngIf="isLoading">
            <ion-item *ngFor='let i of [1,2]' class="item-skel" lines="none">
              <ion-card>
                <ion-thumbnail slot="start" class="skeleton-thumbs">
                  <ion-skeleton-text animated></ion-skeleton-text>
                </ion-thumbnail>
                <p>
                  <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
                  <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                </p>
                <p>
                  <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
                </p>
              </ion-card>

              <ion-card>
                <ion-thumbnail slot="start" class="skeleton-thumbs ion-no-margin">
                  <ion-skeleton-text animated></ion-skeleton-text>
                </ion-thumbnail>
                <p>
                  <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
                  <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                </p>
                <p>
                  <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
                </p>
              </ion-card>
            </ion-item>
          </ng-container>

          <div *ngIf="bookList?.length == 0">
            <div class="img-not-found ion-padding ion-text-center">
              <div><img src="assets/img/book-not-found.png"></div>
              <div>
                <h5>Tidak ada yang ditampilkan</h5>
              </div>
            </div>
          </div>
        </div>
        <div *ngSwitchCase="'ebook'" class="color-grey">
          <ion-grid *ngIf="!isLoading && ebookList?.length > 0">
            <ion-row>
              <ion-col *ngFor="let list of ebookList" size="6" no-padding style="margin-bottom:10px;">
                <ion-card class="card-book" (click)="gotoDetailEbook(list?.ebookID,list)">
                  <div class="book-list" class="ion-text-center">
                    <div style="width:100%">
                      <img class="img-cover ion-text-center"
                        src="{{storagePath.storageEbookCover(list?.ebookCover,list?.libraryID)}}"
                        onError="this.src = 'assets/img/default-book.png'">
                    </div>
                    <div class="ion-text-left">
                      <h5>{{list?.ebookTitle}}</h5>
                      <p>{{list?.categoryTitle}}</p>
                    </div>
                    <div style="position:relative;">
                      <ion-grid class="ion-text-left">
                        <ion-row style="margin-top: 10px;">
                          <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px">{{list?.ebookWriter}}
                          </ion-col>
                        </ion-row>
                      </ion-grid>
                    </div>

                  </div>
                </ion-card>
              </ion-col>
            </ion-row>
          </ion-grid>

          <div *ngIf="!isLoading && ebookList?.length == 0">
            <div class="img-not-found ion-padding ion-text-center">
              <div><img src="assets/img/book-not-found.png"></div>
              <div>
                <h5>Tidak ada yang ditampilkan</h5>
              </div>
            </div>
          </div>

          <div *ngIf="isLoading" class="container-skeleton" fxLayout="row">
            <ion-item class="item-skel " lines="none">
              <ion-thumbnail slot="start" class="skeleton-thumbs">
                <ion-skeleton-text animated></ion-skeleton-text>
              </ion-thumbnail>

              <ion-thumbnail slot="start" class="skeleton-thumbs ion-no-margin">
                <ion-skeleton-text animated></ion-skeleton-text>
              </ion-thumbnail>
            </ion-item>
          </div>
        </div>
      </div>
    </div>
  </div>

</ion-content>